
package de.ivu.elect.presentation.kandidatur.table;

import de.ivu.elect.business.kandidatur.entity.KandidaturGewaehlt;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

// Cf. KandidaturKumulierteStimmenStimmzettelPositionColumn!
public class KandidaturGewaehltStimmzettelPositionColumn extends AbstractKandidaturGewaehltColumn {

  private static final long serialVersionUID = 1L;

  public KandidaturGewaehltStimmzettelPositionColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.LONG;
  }

  @Override
  public String getHeader() {
    return getMessage(ListenkandidaturStimmzettelPositionColumn.HEADER_MSG_KEY);
  }

  @Override
  public Long getValue(KandidaturGewaehlt kandidaturGewaehlt) {
    if (kandidaturGewaehlt != null) {
      return kandidaturGewaehlt.getStimmzettelPosition();
    }

    return null;
  }
}
